--- /dev/null
+Deny from all
\ No newline at end of file
--- /dev/null
+{
+ "github-oauth": {
+ "github.com": "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"
+ }
+}
--- /dev/null
+*/30 0-6 * * * /usr/bin/lynx --dump https://www.fluidbook.com/maintenance/importReferences > /proc/1/fd/1 2>/proc/1/fd/2
--- /dev/null
+3 4 * * * root /docker/fluidbook-v3/build >/dev/null 2>/dev/null
--- /dev/null
+#
+# This is the main Apache HTTP server configuration file. It contains the
+# configuration directives that give the server its instructions.
+# See <URL:http://httpd.apache.org/docs/2.4/> for detailed information.
+# In particular, see
+# <URL:http://httpd.apache.org/docs/2.4/mod/directives.html>
+# for a discussion of each configuration directive.
+#
+# Do NOT simply read the instructions in here without understanding
+# what they do. They're here only as hints or reminders. If you are unsure
+# consult the online docs. You have been warned.
+#
+# Configuration and logfile names: If the filenames you specify for many
+# of the server's control files begin with "/" (or "drive:/" for Win32), the
+# server will use that explicit path. If the filenames do *not* begin
+# with "/", the value of ServerRoot is prepended -- so "logs/access_log"
+# with ServerRoot set to "/usr/local/apache2" will be interpreted by the
+# server as "/usr/local/apache2/logs/access_log", whereas "/logs/access_log"
+# will be interpreted as '/logs/access_log'.
+
+#
+# ServerRoot: The top of the directory tree under which the server's
+# configuration, error, and log files are kept.
+#
+# Do not add a slash at the end of the directory path. If you point
+# ServerRoot at a non-local disk, be sure to specify a local disk on the
+# Mutex directive, if file-based mutexes are used. If you wish to share the
+# same ServerRoot for multiple httpd daemons, you will need to change at
+# least PidFile.
+#
+ServerRoot "/usr/local/apache2"
+
+#
+# Mutex: Allows you to set the mutex mechanism and mutex file directory
+# for individual mutexes, or change the global defaults
+#
+# Uncomment and change the directory if mutexes are file-based and the default
+# mutex file directory is not on a local disk or is not appropriate for some
+# other reason.
+#
+# Mutex default:logs
+
+#
+# Listen: Allows you to bind Apache to specific IP addresses and/or
+# ports, instead of the default. See also the <VirtualHost>
+# directive.
+#
+# Change this to Listen on specific IP addresses as shown below to
+# prevent Apache from glomming onto all bound IP addresses.
+#
+#Listen 12.34.56.78:80
+Listen 80
+
+#
+# Dynamic Shared Object (DSO) Support
+#
+# To be able to use the functionality of a module which was built as a DSO you
+# have to place corresponding `LoadModule' lines at this location so the
+# directives contained in it are actually available _before_ they are used.
+# Statically compiled modules (those listed by `httpd -l') do not need
+# to be loaded here.
+#
+# Example:
+# LoadModule foo_module modules/mod_foo.so
+#
+LoadModule mpm_event_module modules/mod_mpm_event.so
+#LoadModule mpm_prefork_module modules/mod_mpm_prefork.so
+#LoadModule mpm_worker_module modules/mod_mpm_worker.so
+LoadModule authn_file_module modules/mod_authn_file.so
+#LoadModule authn_dbm_module modules/mod_authn_dbm.so
+#LoadModule authn_anon_module modules/mod_authn_anon.so
+#LoadModule authn_dbd_module modules/mod_authn_dbd.so
+#LoadModule authn_socache_module modules/mod_authn_socache.so
+LoadModule authn_core_module modules/mod_authn_core.so
+LoadModule authz_host_module modules/mod_authz_host.so
+LoadModule authz_groupfile_module modules/mod_authz_groupfile.so
+LoadModule authz_user_module modules/mod_authz_user.so
+#LoadModule authz_dbm_module modules/mod_authz_dbm.so
+#LoadModule authz_owner_module modules/mod_authz_owner.so
+#LoadModule authz_dbd_module modules/mod_authz_dbd.so
+LoadModule authz_core_module modules/mod_authz_core.so
+#LoadModule authnz_ldap_module modules/mod_authnz_ldap.so
+#LoadModule authnz_fcgi_module modules/mod_authnz_fcgi.so
+LoadModule access_compat_module modules/mod_access_compat.so
+LoadModule auth_basic_module modules/mod_auth_basic.so
+#LoadModule auth_form_module modules/mod_auth_form.so
+#LoadModule auth_digest_module modules/mod_auth_digest.so
+#LoadModule allowmethods_module modules/mod_allowmethods.so
+#LoadModule isapi_module modules/mod_isapi.so
+#LoadModule file_cache_module modules/mod_file_cache.so
+#LoadModule cache_module modules/mod_cache.so
+#LoadModule cache_disk_module modules/mod_cache_disk.so
+#LoadModule cache_socache_module modules/mod_cache_socache.so
+#LoadModule socache_shmcb_module modules/mod_socache_shmcb.so
+#LoadModule socache_dbm_module modules/mod_socache_dbm.so
+#LoadModule socache_memcache_module modules/mod_socache_memcache.so
+#LoadModule socache_redis_module modules/mod_socache_redis.so
+#LoadModule watchdog_module modules/mod_watchdog.so
+#LoadModule macro_module modules/mod_macro.so
+#LoadModule dbd_module modules/mod_dbd.so
+#LoadModule bucketeer_module modules/mod_bucketeer.so
+#LoadModule dumpio_module modules/mod_dumpio.so
+#LoadModule echo_module modules/mod_echo.so
+#LoadModule example_hooks_module modules/mod_example_hooks.so
+#LoadModule case_filter_module modules/mod_case_filter.so
+#LoadModule case_filter_in_module modules/mod_case_filter_in.so
+#LoadModule example_ipc_module modules/mod_example_ipc.so
+#LoadModule buffer_module modules/mod_buffer.so
+#LoadModule data_module modules/mod_data.so
+#LoadModule ratelimit_module modules/mod_ratelimit.so
+LoadModule reqtimeout_module modules/mod_reqtimeout.so
+#LoadModule ext_filter_module modules/mod_ext_filter.so
+#LoadModule request_module modules/mod_request.so
+#LoadModule include_module modules/mod_include.so
+LoadModule filter_module modules/mod_filter.so
+#LoadModule reflector_module modules/mod_reflector.so
+#LoadModule substitute_module modules/mod_substitute.so
+#LoadModule sed_module modules/mod_sed.so
+#LoadModule charset_lite_module modules/mod_charset_lite.so
+#LoadModule deflate_module modules/mod_deflate.so
+#LoadModule xml2enc_module modules/mod_xml2enc.so
+#LoadModule proxy_html_module modules/mod_proxy_html.so
+#LoadModule brotli_module modules/mod_brotli.so
+LoadModule mime_module modules/mod_mime.so
+#LoadModule ldap_module modules/mod_ldap.so
+LoadModule log_config_module modules/mod_log_config.so
+#LoadModule log_debug_module modules/mod_log_debug.so
+#LoadModule log_forensic_module modules/mod_log_forensic.so
+#LoadModule logio_module modules/mod_logio.so
+#LoadModule lua_module modules/mod_lua.so
+LoadModule env_module modules/mod_env.so
+#LoadModule mime_magic_module modules/mod_mime_magic.so
+#LoadModule cern_meta_module modules/mod_cern_meta.so
+#LoadModule expires_module modules/mod_expires.so
+LoadModule headers_module modules/mod_headers.so
+#LoadModule ident_module modules/mod_ident.so
+#LoadModule usertrack_module modules/mod_usertrack.so
+#LoadModule unique_id_module modules/mod_unique_id.so
+LoadModule setenvif_module modules/mod_setenvif.so
+LoadModule version_module modules/mod_version.so
+LoadModule remoteip_module modules/mod_remoteip.so
+LoadModule proxy_module modules/mod_proxy.so
+#LoadModule proxy_connect_module modules/mod_proxy_connect.so
+#LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
+#LoadModule proxy_http_module modules/mod_proxy_http.so
+LoadModule proxy_fcgi_module modules/mod_proxy_fcgi.so
+#LoadModule proxy_scgi_module modules/mod_proxy_scgi.so
+#LoadModule proxy_uwsgi_module modules/mod_proxy_uwsgi.so
+#LoadModule proxy_fdpass_module modules/mod_proxy_fdpass.so
+#LoadModule proxy_wstunnel_module modules/mod_proxy_wstunnel.so
+#LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
+#LoadModule proxy_balancer_module modules/mod_proxy_balancer.so
+#LoadModule proxy_express_module modules/mod_proxy_express.so
+#LoadModule proxy_hcheck_module modules/mod_proxy_hcheck.so
+#LoadModule session_module modules/mod_session.so
+#LoadModule session_cookie_module modules/mod_session_cookie.so
+#LoadModule session_crypto_module modules/mod_session_crypto.so
+#LoadModule session_dbd_module modules/mod_session_dbd.so
+#LoadModule slotmem_shm_module modules/mod_slotmem_shm.so
+#LoadModule slotmem_plain_module modules/mod_slotmem_plain.so
+#LoadModule ssl_module modules/mod_ssl.so
+#LoadModule optional_hook_export_module modules/mod_optional_hook_export.so
+#LoadModule optional_hook_import_module modules/mod_optional_hook_import.so
+#LoadModule optional_fn_import_module modules/mod_optional_fn_import.so
+#LoadModule optional_fn_export_module modules/mod_optional_fn_export.so
+#LoadModule dialup_module modules/mod_dialup.so
+#LoadModule http2_module modules/mod_http2.so
+#LoadModule proxy_http2_module modules/mod_proxy_http2.so
+#LoadModule md_module modules/mod_md.so
+#LoadModule lbmethod_byrequests_module modules/mod_lbmethod_byrequests.so
+#LoadModule lbmethod_bytraffic_module modules/mod_lbmethod_bytraffic.so
+#LoadModule lbmethod_bybusyness_module modules/mod_lbmethod_bybusyness.so
+#LoadModule lbmethod_heartbeat_module modules/mod_lbmethod_heartbeat.so
+LoadModule unixd_module modules/mod_unixd.so
+#LoadModule heartbeat_module modules/mod_heartbeat.so
+#LoadModule heartmonitor_module modules/mod_heartmonitor.so
+#LoadModule dav_module modules/mod_dav.so
+LoadModule status_module modules/mod_status.so
+LoadModule autoindex_module modules/mod_autoindex.so
+#LoadModule asis_module modules/mod_asis.so
+#LoadModule info_module modules/mod_info.so
+#LoadModule suexec_module modules/mod_suexec.so
+<IfModule !mpm_prefork_module>
+ #LoadModule cgid_module modules/mod_cgid.so
+</IfModule>
+<IfModule mpm_prefork_module>
+ #LoadModule cgi_module modules/mod_cgi.so
+</IfModule>
+#LoadModule dav_fs_module modules/mod_dav_fs.so
+#LoadModule dav_lock_module modules/mod_dav_lock.so
+#LoadModule vhost_alias_module modules/mod_vhost_alias.so
+#LoadModule negotiation_module modules/mod_negotiation.so
+LoadModule dir_module modules/mod_dir.so
+#LoadModule imagemap_module modules/mod_imagemap.so
+#LoadModule actions_module modules/mod_actions.so
+#LoadModule speling_module modules/mod_speling.so
+#LoadModule userdir_module modules/mod_userdir.so
+LoadModule alias_module modules/mod_alias.so
+LoadModule rewrite_module modules/mod_rewrite.so
+
+LoadModule xsendfile_module /usr/lib/apache2/modules/mod_xsendfile.so
+
+<IfModule unixd_module>
+#
+# If you wish httpd to run as a different user or group, you must run
+# httpd as root initially and it will switch.
+#
+# User/Group: The name (or #number) of the user/group to run httpd as.
+# It is usually good practice to create a dedicated user and group for
+# running httpd, as with most system services.
+#
+User www-data
+Group www-data
+
+</IfModule>
+
+# 'Main' server configuration
+#
+# The directives in this section set up the values used by the 'main'
+# server, which responds to any requests that aren't handled by a
+# <VirtualHost> definition. These values also provide defaults for
+# any <VirtualHost> containers you may define later in the file.
+#
+# All of these directives may appear inside <VirtualHost> containers,
+# in which case these default settings will be overridden for the
+# virtual host being defined.
+#
+
+#
+# ServerAdmin: Your address, where problems with the server should be
+# e-mailed. This address appears on some server-generated pages, such
+# as error documents. e.g. admin@your-domain.com
+#
+ServerAdmin you@example.com
+
+#
+# ServerName gives the name and port that the server uses to identify itself.
+# This can often be determined automatically, but we recommend you specify
+# it explicitly to prevent problems during startup.
+#
+# If your host doesn't have a registered DNS name, enter its IP address here.
+#
+#ServerName www.example.com:80
+
+#
+# Deny access to the entirety of your server's filesystem. You must
+# explicitly permit access to web content directories in other
+# <Directory> blocks below.
+#
+<Directory />
+ AllowOverride none
+ Require all denied
+</Directory>
+
+#
+# Note that from this point forward you must specifically allow
+# particular features to be enabled - so if something's not working as
+# you might expect, make sure that you have specifically enabled it
+# below.
+#
+
+#
+# DocumentRoot: The directory out of which you will serve your
+# documents. By default, all requests are taken from this directory, but
+# symbolic links and aliases may be used to point to other locations.
+#
+DocumentRoot "/application/"
+<Directory "/application/">
+ #
+ # Possible values for the Options directive are "None", "All",
+ # or any combination of:
+ # Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
+ #
+ # Note that "MultiViews" must be named *explicitly* --- "Options All"
+ # doesn't give it to you.
+ #
+ # The Options directive is both complicated and important. Please see
+ # http://httpd.apache.org/docs/2.4/mod/core.html#options
+ # for more information.
+ #
+ Options Indexes FollowSymLinks
+
+ #
+ # AllowOverride controls what directives may be placed in .htaccess files.
+ # It can be "All", "None", or any combination of the keywords:
+ # AllowOverride FileInfo AuthConfig Limit
+ #
+ AllowOverride All
+
+ #
+ # Controls who can get stuff from this server.
+ #
+ Require all granted
+</Directory>
+
+ProxyPassMatch ^/(.*\.php(/.*)?)$ "fcgi://fluidbook-v3:9000/application//$1" timeout=1800
+
+XSendFile on
+XSendFilePath /application
+
+
+#
+# DirectoryIndex: sets the file that Apache will serve if a directory
+# is requested.
+#
+<IfModule dir_module>
+ DirectoryIndex index.html index.php
+</IfModule>
+
+#
+# The following lines prevent .htaccess and .htpasswd files from being
+# viewed by Web clients.
+#
+<Files ".ht*">
+ Require all denied
+</Files>
+
+#
+# ErrorLog: The location of the error log file.
+# If you do not specify an ErrorLog directive within a <VirtualHost>
+# container, error messages relating to that virtual host will be
+# logged here. If you *do* define an error logfile for a <VirtualHost>
+# container, that host's errors will be logged there and not here.
+#
+ErrorLog /proc/self/fd/2
+
+#
+# LogLevel: Control the number of messages logged to the error_log.
+# Possible values include: debug, info, notice, warn, error, crit,
+# alert, emerg.
+#
+LogLevel warn
+
+<IfModule log_config_module>
+ #
+ # The following directives define some format nicknames for use with
+ # a CustomLog directive (see below).
+ #
+ LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
+ LogFormat "%h %l %u %t \"%r\" %>s %b" common
+
+ <IfModule logio_module>
+ # You need to enable mod_logio.c to use %I and %O
+ LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\" %I %O" combinedio
+ </IfModule>
+
+ #
+ # The location and format of the access logfile (Common Logfile Format).
+ # If you do not define any access logfiles within a <VirtualHost>
+ # container, they will be logged here. Contrariwise, if you *do*
+ # define per-<VirtualHost> access logfiles, transactions will be
+ # logged therein and *not* in this file.
+ #
+ CustomLog /proc/self/fd/1 common
+
+ #
+ # If you prefer a logfile with access, agent, and referer information
+ # (Combined Logfile Format) you can use the following directive.
+ #
+ #CustomLog "logs/access_log" combined
+</IfModule>
+
+<IfModule alias_module>
+ #
+ # Redirect: Allows you to tell clients about documents that used to
+ # exist in your server's namespace, but do not anymore. The client
+ # will make a new request for the document at its new location.
+ # Example:
+ # Redirect permanent /foo http://www.example.com/bar
+
+ #
+ # Alias: Maps web paths into filesystem paths and is used to
+ # access content that does not live under the DocumentRoot.
+ # Example:
+ # Alias /webpath /full/filesystem/path
+ #
+ # If you include a trailing / on /webpath then the server will
+ # require it to be present in the URL. You will also likely
+ # need to provide a <Directory> section to allow access to
+ # the filesystem path.
+
+ #
+ # ScriptAlias: This controls which directories contain server scripts.
+ # ScriptAliases are essentially the same as Aliases, except that
+ # documents in the target directory are treated as applications and
+ # run by the server when requested rather than as documents sent to the
+ # client. The same rules about trailing "/" apply to ScriptAlias
+ # directives as to Alias.
+ #
+ ScriptAlias /cgi-bin/ "/usr/local/apache2/cgi-bin/"
+
+</IfModule>
+
+<IfModule cgid_module>
+ #
+ # ScriptSock: On threaded servers, designate the path to the UNIX
+ # socket used to communicate with the CGI daemon of mod_cgid.
+ #
+ #Scriptsock cgisock
+</IfModule>
+
+#
+# "/usr/local/apache2/cgi-bin" should be changed to whatever your ScriptAliased
+# CGI directory exists, if you have that configured.
+#
+<Directory "/usr/local/apache2/cgi-bin">
+ AllowOverride None
+ Options None
+ Require all granted
+</Directory>
+
+<IfModule headers_module>
+ #
+ # Avoid passing HTTP_PROXY environment to CGI's on this or any proxied
+ # backend servers which have lingering "httpoxy" defects.
+ # 'Proxy' request header is undefined by the IETF, not listed by IANA
+ #
+ RequestHeader unset Proxy early
+</IfModule>
+
+<IfModule mime_module>
+ #
+ # TypesConfig points to the file containing the list of mappings from
+ # filename extension to MIME-type.
+ #
+ TypesConfig conf/mime.types
+
+ #
+ # AddType allows you to add to or override the MIME configuration
+ # file specified in TypesConfig for specific file types.
+ #
+ #AddType application/x-gzip .tgz
+ #
+ # AddEncoding allows you to have certain browsers uncompress
+ # information on the fly. Note: Not all browsers support this.
+ #
+ #AddEncoding x-compress .Z
+ #AddEncoding x-gzip .gz .tgz
+ #
+ # If the AddEncoding directives above are commented-out, then you
+ # probably should define those extensions to indicate media types:
+ #
+ AddType application/x-compress .Z
+ AddType application/x-gzip .gz .tgz
+
+ #
+ # AddHandler allows you to map certain file extensions to "handlers":
+ # actions unrelated to filetype. These can be either built into the server
+ # or added with the Action directive (see below)
+ #
+ # To use CGI scripts outside of ScriptAliased directories:
+ # (You will also need to add "ExecCGI" to the "Options" directive.)
+ #
+ #AddHandler cgi-script .cgi
+
+ # For type maps (negotiated resources):
+ #AddHandler type-map var
+
+ #
+ # Filters allow you to process content before it is sent to the client.
+ #
+ # To parse .shtml files for server-side includes (SSI):
+ # (You will also need to add "Includes" to the "Options" directive.)
+ #
+ #AddType text/html .shtml
+ #AddOutputFilter INCLUDES .shtml
+</IfModule>
+
+#
+# The mod_mime_magic module allows the server to use various hints from the
+# contents of the file itself to determine its type. The MIMEMagicFile
+# directive tells the module where the hint definitions are located.
+#
+#MIMEMagicFile conf/magic
+
+#
+# Customizable error responses come in three flavors:
+# 1) plain text 2) local redirects 3) external redirects
+#
+# Some examples:
+#ErrorDocument 500 "The server made a boo boo."
+#ErrorDocument 404 /missing.html
+#ErrorDocument 404 "/cgi-bin/missing_handler.pl"
+#ErrorDocument 402 http://www.example.com/subscription_info.html
+#
+
+#
+# MaxRanges: Maximum number of Ranges in a request before
+# returning the entire resource, or one of the special
+# values 'default', 'none' or 'unlimited'.
+# Default setting is to accept 200 Ranges.
+#MaxRanges unlimited
+
+#
+# EnableMMAP and EnableSendfile: On systems that support it,
+# memory-mapping or the sendfile syscall may be used to deliver
+# files. This usually improves server performance, but must
+# be turned off when serving from networked-mounted
+# filesystems or if support for these functions is otherwise
+# broken on your system.
+# Defaults: EnableMMAP On, EnableSendfile Off
+#
+#EnableMMAP off
+#EnableSendfile on
+
+# Supplemental configuration
+#
+# The configuration files in the conf/extra/ directory can be
+# included to add extra features or to modify the default configuration of
+# the server, or you may simply copy their contents here and change as
+# necessary.
+
+# Server-pool management (MPM specific)
+#Include conf/extra/httpd-mpm.conf
+
+# Multi-language error messages
+#Include conf/extra/httpd-multilang-errordoc.conf
+
+# Fancy directory listings
+#Include conf/extra/httpd-autoindex.conf
+
+# Language settings
+#Include conf/extra/httpd-languages.conf
+
+# User home directories
+#Include conf/extra/httpd-userdir.conf
+
+# Real-time info on requests and configuration
+#Include conf/extra/httpd-info.conf
+
+# Virtual hosts
+#Include conf/extra/httpd-vhosts.conf
+
+# Local access to the Apache HTTP Server Manual
+#Include conf/extra/httpd-manual.conf
+
+# Distributed authoring and versioning (WebDAV)
+#Include conf/extra/httpd-dav.conf
+
+# Various default settings
+#Include conf/extra/httpd-default.conf
+
+# Configure mod_proxy_html to understand HTML4/XHTML1
+<IfModule proxy_html_module>
+Include conf/extra/proxy-html.conf
+</IfModule>
+
+# Secure (SSL/TLS) connections
+#Include conf/extra/httpd-ssl.conf
+#
+# Note: The following must must be present to support
+# starting without SSL on platforms with no /dev/random equivalent
+# but a statically compiled-in mod_ssl.
+#
+<IfModule ssl_module>
+SSLRandomSeed startup builtin
+SSLRandomSeed connect builtin
+</IfModule>
+
+<IfModule remote_ip>
+RemoteIPHeader X-Forwarded-For
+</IfModule>
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE policymap [
+ <!ELEMENT policymap (policy)+>
+ <!ATTLIST policymap xmlns CDATA #FIXED ''>
+ <!ELEMENT policy EMPTY>
+ <!ATTLIST policy xmlns CDATA #FIXED '' domain NMTOKEN #REQUIRED
+ name NMTOKEN #IMPLIED pattern CDATA #IMPLIED rights NMTOKEN #IMPLIED
+ stealth NMTOKEN #IMPLIED value CDATA #IMPLIED>
+ ]>
+<!--
+ Configure ImageMagick policies.
+
+ Domains include system, delegate, coder, filter, path, or resource.
+
+ Rights include none, read, write, execute and all. Use | to combine them,
+ for example: "read | write" to permit read from, or write to, a path.
+
+ Use a glob expression as a pattern.
+
+ Suppose we do not want users to process MPEG video images:
+
+ <policy domain="delegate" rights="none" pattern="mpeg:decode" />
+
+ Here we do not want users reading images from HTTP:
+
+ <policy domain="coder" rights="none" pattern="HTTP" />
+
+ The /repository file system is restricted to read only. We use a glob
+ expression to match all paths that start with /repository:
+
+ <policy domain="path" rights="read" pattern="/repository/*" />
+
+ Lets prevent users from executing any image filters:
+
+ <policy domain="filter" rights="none" pattern="*" />
+
+ Any large image is cached to disk rather than memory:
+
+ <policy domain="resource" name="area" value="1GP"/>
+
+ Define arguments for the memory, map, area, width, height and disk resources
+ with SI prefixes (.e.g 100MB). In addition, resource policies are maximums
+ for each instance of ImageMagick (e.g. policy memory limit 1GB, -limit 2GB
+ exceeds policy maximum so memory limit is 1GB).
+
+ Rules are processed in order. Here we want to restrict ImageMagick to only
+ read or write a small subset of proven web-safe image types:
+
+ <policy domain="delegate" rights="none" pattern="*" />
+ <policy domain="filter" rights="none" pattern="*" />
+ <policy domain="coder" rights="none" pattern="*" />
+ <policy domain="coder" rights="read|write" pattern="{GIF,JPEG,PNG,WEBP}" />
+-->
+<policymap>
+ <!-- <policy domain="system" name="shred" value="2"/> -->
+ <!-- <policy domain="system" name="precision" value="6"/> -->
+ <!-- <policy domain="system" name="memory-map" value="anonymous"/> -->
+ <!-- <policy domain="system" name="max-memory-request" value="256MiB"/> -->
+ <!-- <policy domain="resource" name="temporary-path" value="/tmp"/> -->
+ <policy domain="resource" name="memory" value="2GiB"/>
+ <policy domain="resource" name="map" value="4GiB"/>
+ <policy domain="resource" name="width" value="128KP"/>
+ <policy domain="resource" name="height" value="128KP"/>
+ <!-- <policy domain="resource" name="list-length" value="128"/> -->
+ <policy domain="resource" name="area" value="1.0737GP"/>
+ <policy domain="resource" name="disk" value="16GiB"/>
+ <policy domain="resource" name="file" value="768"/>
+ <policy domain="resource" name="thread" value="8"/>
+ <policy domain="resource" name="throttle" value="0"/>
+ <!-- <policy domain="resource" name="time" value="3600"/> -->
+ <!-- <policy domain="coder" rights="none" pattern="MVG" /> -->
+ <!-- <policy domain="module" rights="none" pattern="{PS,PDF,XPS}" /> -->
+ <!-- <policy domain="delegate" rights="none" pattern="HTTPS" /> -->
+ <!-- <policy domain="path" rights="none" pattern="@*" /> -->
+ <!-- <policy domain="cache" name="memory-map" value="anonymous"/> -->
+ <!-- <policy domain="cache" name="synchronize" value="True"/> -->
+ <!-- <policy domain="cache" name="shared-secret" value="passphrase" stealth="true"/> -->
+ <!-- <policy domain="system" name="pixel-cache-memory" value="anonymous"/> -->
+ <!-- <policy domain="system" name="shred" value="2"/> -->
+ <!-- <policy domain="system" name="precision" value="6"/> -->
+ <!-- not needed due to the need to use explicitly by mvg: -->
+ <!-- <policy domain="delegate" rights="none" pattern="MVG" /> -->
+ <!-- use curl -->
+ <policy domain="delegate" rights="none" pattern="URL" />
+ <policy domain="delegate" rights="none" pattern="HTTPS" />
+ <policy domain="delegate" rights="none" pattern="HTTP" />
+ <!-- in order to avoid to get image with password text -->
+ <policy domain="path" rights="none" pattern="@*"/>
+ <!-- disable ghostscript format types -->
+ <policy domain="coder" rights="none" pattern="PS" />
+ <policy domain="coder" rights="none" pattern="PS2" />
+ <policy domain="coder" rights="none" pattern="PS3" />
+ <policy domain="coder" rights="none" pattern="EPS" />
+ <policy domain="coder" rights="none" pattern="PDF" />
+ <policy domain="coder" rights="none" pattern="XPS" />
+</policymap>
\ No newline at end of file
--- /dev/null
+[mariadb]
+collation-server = utf8mb4_unicode_ci
+init-connect='SET NAMES utf8mb4'
+character-set-server = utf8mb4
--- /dev/null
+[mariadb]
+max_connections = 1024
--- /dev/null
+[mariadb]
+
+skip-name-resolve
+
+key_buffer_size = 128M
+max_allowed_packet = 512M
+max_heap_table_size = 512M
+tmp_table_size = 256M
+
+innodb_buffer_pool_size = 4G
+
+join_buffer_size = 32M
+join_buffer_space_limit = 256M
+join_cache_level = 12
+
+query_cache_size = 256M
--- /dev/null
+[mariadb]
+plugin-maturity=alpha
+plugin-load-add=type_mysql_json
--- /dev/null
+[mariadb]
+skip-log-error
+
+general_log = 0
+general_log_file = /var/log/mysql/queries.log
+
+slow_query_log = 0
+slow_query_log_file = /var/log/mysql/slow_queries.log
--- /dev/null
+[mariadb]
+sql_mode = ERROR_FOR_DIVISION_BY_ZERO,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION
--- /dev/null
+fluidbook-v3:yKgGYcPKnigzgaSG
--- /dev/null
+upload_max_filesize = 8G
+post_max_size = 8G
+max_file_uploads = 1000
+error_log = /proc/self/fd/2
+log_errors = 1
+memory_limit = 12G
+max_input_vars = 1000000
--- /dev/null
+# Default rules for rsyslog.
+#
+# For more information see rsyslog.conf(5) and /etc/rsyslog.conf
+
+#
+# First some standard log files. Log by facility.
+#
+auth,authpriv.* /var/log/auth.log
+*.*;auth,authpriv.none -/var/log/syslog
+#cron.* /var/log/cron.log
+#daemon.* -/var/log/daemon.log
+kern.* -/var/log/kern.log
+#lpr.* -/var/log/lpr.log
+mail.* -/var/log/mail.log
+#user.* -/var/log/user.log
+
+#
+# Logging for the mail system. Split it up so that
+# it is easy to write scripts to parse these files.
+#
+#mail.info -/var/log/mail.info
+#mail.warn -/var/log/mail.warn
+mail.err /var/log/mail.err
+
+#
+# Some "catch-all" log files.
+#
+#*.=debug;\
+# auth,authpriv.none;\
+# news.none;mail.none -/var/log/debug
+#*.=info;*.=notice;*.=warn;\
+# auth,authpriv.none;\
+# cron,daemon.none;\
+# mail,news.none -/var/log/messages
+
+#
+# Emergencies are sent to everybody logged in.
+#
+*.emerg :omusrmsg:*
+
+#
+# I like to have messages displayed on the console, but only on a virtual
+# console I usually leave idle.
+#
+#daemon,mail.*;\
+# news.=crit;news.=err;news.=notice;\
+# *.=debug;*.=info;\
+# *.=notice;*.=warn /dev/tty8
--- /dev/null
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: rsyslog
+# Required-Start: $remote_fs $time
+# Required-Stop: umountnfs $time
+# X-Stop-After: sendsigs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: enhanced syslogd
+# Description: Rsyslog is an enhanced multi-threaded syslogd.
+# It is quite compatible to stock sysklogd and can be
+# used as a drop-in replacement.
+### END INIT INFO
+
+#
+# Author: Michael Biebl <biebl@debian.org>
+#
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="enhanced syslogd"
+NAME=rsyslog
+
+RSYSLOGD=rsyslogd
+RSYSLOGD_BIN=/usr/sbin/rsyslogd
+RSYSLOGD_OPTIONS="-c5"
+RSYSLOGD_PIDFILE=/var/run/rsyslogd.pid
+
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$RSYSLOGD_BIN" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Define LSB log_* functions.
+. /lib/lsb/init-functions
+
+do_start()
+{
+ DAEMON="$RSYSLOGD_BIN"
+ DAEMON_ARGS="$RSYSLOGD_OPTIONS"
+ PIDFILE="$RSYSLOGD_PIDFILE"
+
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # other if daemon could not be started or a failure occured
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
+}
+
+do_stop()
+{
+ DAEMON="$RSYSLOGD_BIN"
+ PIDFILE="$RSYSLOGD_PIDFILE"
+
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # other if daemon could not be stopped or a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
+}
+
+#
+# Tell rsyslogd to close all open files
+#
+do_rotate() {
+ DAEMON="$RSYSLOGD_BIN"
+ PIDFILE="$RSYSLOGD_PIDFILE"
+
+ start-stop-daemon --stop --signal HUP --quiet --pidfile $PIDFILE --exec $DAEMON
+}
+
+create_xconsole() {
+ XCONSOLE=/dev/xconsole
+ if [ "$(uname -s)" != "Linux" ]; then
+ XCONSOLE=/run/xconsole
+ ln -sf $XCONSOLE /dev/xconsole
+ fi
+ if [ ! -e $XCONSOLE ]; then
+ mknod -m 640 $XCONSOLE p
+ chown root:adm $XCONSOLE
+ [ -x /sbin/restorecon ] && /sbin/restorecon $XCONSOLE
+ fi
+}
+
+sendsigs_omit() {
+ OMITDIR=/run/sendsigs.omit.d
+ mkdir -p $OMITDIR
+ ln -sf $RSYSLOGD_PIDFILE $OMITDIR/rsyslog
+}
+
+case "$1" in
+ start)
+ log_daemon_msg "Starting $DESC" "$RSYSLOGD"
+ create_xconsole
+ do_start
+ case "$?" in
+ 0) sendsigs_omit
+ log_end_msg 0 ;;
+ 1) log_progress_msg "already started"
+ log_end_msg 0 ;;
+ *) log_end_msg 1 ;;
+ esac
+
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$RSYSLOGD"
+ do_stop
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_progress_msg "already stopped"
+ log_end_msg 0 ;;
+ *) log_end_msg 1 ;;
+ esac
+
+ ;;
+ rotate)
+ log_daemon_msg "Closing open files" "$RSYSLOGD"
+ do_rotate
+ log_end_msg $?
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ status)
+ status_of_proc -p $RSYSLOGD_PIDFILE $RSYSLOGD_BIN $RSYSLOGD && exit 0 || exit $?
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|rotate|restart|force-reload|status}" >&2
+ exit 3
+ ;;
+esac
+
+:
\ No newline at end of file
--- /dev/null
+# /etc/rsyslog.conf configuration file for rsyslog
+#
+# For more information install rsyslog-doc and see
+# /usr/share/doc/rsyslog-doc/html/configuration/index.html
+#
+# Default logging rules can be found in /etc/rsyslog.d/50-default.conf
+
+
+#################
+#### MODULES ####
+#################
+
+module(load="imuxsock") # provides support for local system logging
+#module(load="immark") # provides --MARK-- message capability
+
+# provides UDP syslog reception
+#module(load="imudp")
+#input(type="imudp" port="514")
+
+# provides TCP syslog reception
+#module(load="imtcp")
+#input(type="imtcp" port="514")
+
+# provides kernel logging support and enable non-kernel klog messages
+# module(load="imklog" permitnonkernelfacility="on")
+
+
+###########################
+#### GLOBAL DIRECTIVES ####
+###########################
+
+#
+# Use traditional timestamp format.
+# To enable high precision timestamps, comment out the following line.
+#
+$ActionFileDefaultTemplate RSYSLOG_TraditionalFileFormat
+
+# Filter duplicated messages
+$RepeatedMsgReduction on
+
+#
+# Set the default permissions for all log files.
+#
+$FileOwner syslog
+$FileGroup adm
+$FileCreateMode 0640
+$DirCreateMode 0755
+$Umask 0022
+$PrivDropToUser syslog
+$PrivDropToGroup syslog
+
+#
+# Where to place spool and state files
+#
+$WorkDirectory /var/spool/rsyslog
+
+#
+# Include all config files in /etc/rsyslog.d/
+#
+$IncludeConfig /etc/rsyslog.d/*.conf
\ No newline at end of file
--- /dev/null
+ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAtabxRZZMjtmq+r8uXsBmfLgAtkxqwigGpx0e6Mx066ukIWIafFsguity6aV5QNI4UfxXnX3QXROcWeIiyLBV4yDGxuq7ah4r0X1CjqHUvHoGpXwJ2DIWPeaa8XyXnavmj0SNtKn0f1T+oJS0fcryUTLyxY7eOgNsr+pp1fVmgca9Efj0BKUXV/SUIjp8JX3x0/E/3PAqG81zus2SxzuOO1b0FKXDq43Gx6Ov3Ok7+Pje4G4pB56rJiiXlPxrBlY0e8Pz/7+kFF8izCiztJLtZig32Dx0HbLYGtSvIPJKYxK8DDD/RWWpL3mgNPYZ2PE3wHf4c7CTlxLCDP+NeRS1yQ== vincent+2021@cubedesigners.com
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDYAQ/tdQpfweVSyxgvF7hFtl4ax+0g8uI102LeH4NmZtzh85DmD3ccoN5UvAf3SOU6nTGLBN2i/YGRruYmm3PDDYBwyKmq3d1ZqUd8ItNfmTlVbRQme0qE6uOVfHgiejDqm9SS0kbI0lYi/BHp7sWK0UM18iE6NbsSgxw468FwBhtSiR78dw1yEhZQdtQDxusD6LbsGDsj37bV9YHFPVslzc6Bkf4fg9igm5YStCdmcYG86t0RUZDfHw6YGuIxXWkDRh1fpC6yj3Wv+n4+Zho5Bjlryg+YRhxFzno2VxgIeScIAernhUq3yy2whZU3jrWfXKfxutPmpCowl17ydcMXUr8Zt44RaYSVJI6V2lbw/B3HWW8BjkVmHlzDhulw4sJzWYoQOhiDLrUFprdF49CtYFrfsuVOx1IwETfnKKI0w5JqID+sa1iYCtgP9BdfO/H04iW3pFeaNhKW89c7GNZHhNuAS9x5wmcDpYiu2DH/ZIZIQ2wGKcyiZ0sMXQqBS4U= 33610@AYOR
--- /dev/null
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAABsgAAAAdzc2gtZH
+NzAAAAgQDHg5eV6h3fVMyYQKnqTeLmm5TAK9NWbX/Ui0AEk2Yp7Y8+9kfCsv4v3KudU53F
+HK9UrUDa2uMd7Tv8fHPabvER24LLayl8mm5MtK1Oxhjjoh2ShtHfyzpw0xLWbNYQZ8Ekn/
+2yqGYfUu4i5BQZLlJSo96ewmQDgjCXGly/Emy7nwAAABUA7xNWMk2l1TsUzooBYiBaEMvs
+cM8AAACBAJybrnPyoE7+Z9ZRE4Miy1Bcxlo5Aon56vUZeIguuoUGzphCTAa/Or9HDXedo/
+3CAHpQreN2hgSviCQxRkTGA1uaYhN3+hG42H3kX0qFKrtNNHQVedkvrIyBUJmvUIA9gkWv
+dVXoKemo/2V4+90trF7Lkoi2HtR1s6sFW0pzVpjFAAAAgBa8BsxUoRwNJd5TS+ql+vAq61
+a5t9xVjZcwCLE5UkxAcuT0tRAZg5/aykpdpUKyWBj/eL2oedQf7bC+/iiZ16nwLvC/dWxe
+5XquSLII6vNIm2MKrKnDi3ktgRPIwkrg+i6KJMMKDKexIn+p18l48NHYSJrTG83mSnLDn7
+NSHCPHAAAB6Fkb1DJZG9QyAAAAB3NzaC1kc3MAAACBAMeDl5XqHd9UzJhAqepN4uablMAr
+01Ztf9SLQASTZintjz72R8Ky/i/cq51TncUcr1StQNra4x3tO/x8c9pu8RHbgstrKXyabk
+y0rU7GGOOiHZKG0d/LOnDTEtZs1hBnwSSf/bKoZh9S7iLkFBkuUlKj3p7CZAOCMJcaXL8S
+bLufAAAAFQDvE1YyTaXVOxTOigFiIFoQy+xwzwAAAIEAnJuuc/KgTv5n1lETgyLLUFzGWj
+kCifnq9Rl4iC66hQbOmEJMBr86v0cNd52j/cIAelCt43aGBK+IJDFGRMYDW5piE3f6EbjY
+feRfSoUqu000dBV52S+sjIFQma9QgD2CRa91Vegp6aj/ZXj73S2sXsuSiLYe1HWzqwVbSn
+NWmMUAAACAFrwGzFShHA0l3lNL6qX68CrrVrm33FWNlzAIsTlSTEBy5PS1EBmDn9rKSl2l
+QrJYGP94vah51B/tsL7+KJnXqfAu8L91bF7leq5Isgjq80ibYwqsqcOLeS2BE8jCSuD6Lo
+okwwoMp7Eif6nXyXjw0dhImtMbzeZKcsOfs1IcI8cAAAAUb0sOgM6D/lZkavaKqqW8ZarH
+wfkAAAARcm9vdEBmbHVpZGJvb2stdjMB
+-----END OPENSSH PRIVATE KEY-----
--- /dev/null
+ssh-dss AAAAB3NzaC1kc3MAAACBAMeDl5XqHd9UzJhAqepN4uablMAr01Ztf9SLQASTZintjz72R8Ky/i/cq51TncUcr1StQNra4x3tO/x8c9pu8RHbgstrKXyabky0rU7GGOOiHZKG0d/LOnDTEtZs1hBnwSSf/bKoZh9S7iLkFBkuUlKj3p7CZAOCMJcaXL8SbLufAAAAFQDvE1YyTaXVOxTOigFiIFoQy+xwzwAAAIEAnJuuc/KgTv5n1lETgyLLUFzGWjkCifnq9Rl4iC66hQbOmEJMBr86v0cNd52j/cIAelCt43aGBK+IJDFGRMYDW5piE3f6EbjYfeRfSoUqu000dBV52S+sjIFQma9QgD2CRa91Vegp6aj/ZXj73S2sXsuSiLYe1HWzqwVbSnNWmMUAAACAFrwGzFShHA0l3lNL6qX68CrrVrm33FWNlzAIsTlSTEBy5PS1EBmDn9rKSl2lQrJYGP94vah51B/tsL7+KJnXqfAu8L91bF7leq5Isgjq80ibYwqsqcOLeS2BE8jCSuD6LookwwoMp7Eif6nXyXjw0dhImtMbzeZKcsOfs1IcI8c= root@fluidbook-v3
--- /dev/null
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAAAaAAAABNlY2RzYS
+1zaGEyLW5pc3RwMjU2AAAACG5pc3RwMjU2AAAAQQSe1IqIJhuz3MYJhWMyWw+q7wmJNI/H
+2XaR9DbqIgshfKKKhw7kiHMNS/g7ftNJlqDFE/lTip8g4cNbg490aPpoAAAAsAH3wf8B98
+H/AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBJ7UiogmG7PcxgmF
+YzJbD6rvCYk0j8fZdpH0NuoiCyF8ooqHDuSIcw1L+Dt+00mWoMUT+VOKnyDhw1uDj3Ro+m
+gAAAAhANNJBhxhDfyFNOAUM6QG3PSNSBfG3QjD7xEExi/uzyskAAAAEXJvb3RAZmx1aWRi
+b29rLXYzAQIDBAUG
+-----END OPENSSH PRIVATE KEY-----
--- /dev/null
+ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBJ7UiogmG7PcxgmFYzJbD6rvCYk0j8fZdpH0NuoiCyF8ooqHDuSIcw1L+Dt+00mWoMUT+VOKnyDhw1uDj3Ro+mg= root@fluidbook-v3
--- /dev/null
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAAAMwAAAAtzc2gtZW
+QyNTUxOQAAACAoxxx6ORBC6Wh/HZF/K3k5V2FXK8Or1LeE+pJkSOg8GQAAAJgK8hB6CvIQ
+egAAAAtzc2gtZWQyNTUxOQAAACAoxxx6ORBC6Wh/HZF/K3k5V2FXK8Or1LeE+pJkSOg8GQ
+AAAEAVbumhlzJfN+n3PaXYi2C47T1a/d7jnavswmcyJr6VwSjHHHo5EELpaH8dkX8reTlX
+YVcrw6vUt4T6kmRI6DwZAAAAEXJvb3RAZmx1aWRib29rLXYzAQIDBA==
+-----END OPENSSH PRIVATE KEY-----
--- /dev/null
+ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICjHHHo5EELpaH8dkX8reTlXYVcrw6vUt4T6kmRI6DwZ root@fluidbook-v3
--- /dev/null
+-----BEGIN OPENSSH PRIVATE KEY-----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+-----END OPENSSH PRIVATE KEY-----
--- /dev/null
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCvwLvJ8KZZI+O3UXsCXYUAE9Al6ap9ZbEBq7xZQ4Z6jk2Ik2swLeVXLZUDA9WLtkPOw9uxzvu+1xRDbNIxNeMYS/tR/XDvQA3BkF7c0odkQA9ZT2h2hoCcZ2Vx6BadhtpxGFZYy2UjKkCR7TPJ9BwtvlD5YBGbGYy5hoglHElLvmZSsRHpVB5ZwlQ1oxuy2JSl2fWf07ATDF+gOneMF9lPSQMpRrHJrQyR4dNYFvzSTcuETLyi2wzU4AQW4F2TKcKStRaNzSPIlOQB+478y4RK/CNVMVQTluTMNNWem+Cj/kreI+2A449KX+c04xEiRXhjXIg2YnnX/WYdBPyIPdspNim/UYmwPJs1kHSOnKKbfmTUyAy/IAtdEQjTq6fQlnebA994L4VP/0PU8fNxHdcpff71XE9FEE0/bxAnMDHpHUqmFHE5BUdXZQj+47bNAE1MWT+FukNUQ9GHfxmI5a06Zxqe8xIzNpDEhe54SlPvCCa4iueIYTLJwvzaOxbbIxM= root@fluidbook-v3
--- /dev/null
+
+# This is the sshd server system-wide configuration file. See
+# sshd_config(5) for more information.
+
+# This sshd was compiled with PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
+
+# The strategy used for options in the default sshd_config shipped with
+# OpenSSH is to specify options with their default value where
+# possible, but leave them commented. Uncommented options override the
+# default value.
+
+Include /etc/ssh/sshd_config.d/*.conf
+
+#Port 22
+#AddressFamily any
+#ListenAddress 0.0.0.0
+#ListenAddress ::
+
+#HostKey /etc/ssh/ssh_host_rsa_key
+#HostKey /etc/ssh/ssh_host_ecdsa_key
+#HostKey /etc/ssh/ssh_host_ed25519_key
+
+# Ciphers and keying
+#RekeyLimit default none
+
+# Logging
+#SyslogFacility AUTH
+#LogLevel INFO
+
+# Authentication:
+
+#LoginGraceTime 2m
+#PermitRootLogin prohibit-password
+#StrictModes yes
+#MaxAuthTries 6
+#MaxSessions 10
+
+#PubkeyAuthentication yes
+
+# Expect .ssh/authorized_keys2 to be disregarded by default in future.
+#AuthorizedKeysFile .ssh/authorized_keys .ssh/authorized_keys2
+
+#AuthorizedPrincipalsFile none
+
+#AuthorizedKeysCommand none
+#AuthorizedKeysCommandUser nobody
+
+# For this to work you will also need host keys in /etc/ssh/ssh_known_hosts
+#HostbasedAuthentication no
+# Change to yes if you don't trust ~/.ssh/known_hosts for
+# HostbasedAuthentication
+#IgnoreUserKnownHosts no
+# Don't read the user's ~/.rhosts and ~/.shosts files
+#IgnoreRhosts yes
+
+# To disable tunneled clear text passwords, change to no here!
+#PasswordAuthentication yes
+#PermitEmptyPasswords no
+
+# Change to yes to enable challenge-response passwords (beware issues with
+# some PAM modules and threads)
+KbdInteractiveAuthentication no
+
+# Kerberos options
+#KerberosAuthentication no
+#KerberosOrLocalPasswd yes
+#KerberosTicketCleanup yes
+#KerberosGetAFSToken no
+
+# GSSAPI options
+#GSSAPIAuthentication no
+#GSSAPICleanupCredentials yes
+#GSSAPIStrictAcceptorCheck yes
+#GSSAPIKeyExchange no
+
+# Set this to 'yes' to enable PAM authentication, account processing,
+# and session processing. If this is enabled, PAM authentication will
+# be allowed through the KbdInteractiveAuthentication and
+# PasswordAuthentication. Depending on your PAM configuration,
+# PAM authentication via KbdInteractiveAuthentication may bypass
+# the setting of "PermitRootLogin without-password".
+# If you just want the PAM account and session checks to run without
+# PAM authentication, then enable this but set PasswordAuthentication
+# and KbdInteractiveAuthentication to 'no'.
+UsePAM yes
+
+#AllowAgentForwarding yes
+#AllowTcpForwarding yes
+#GatewayPorts no
+X11Forwarding yes
+#X11DisplayOffset 10
+#X11UseLocalhost yes
+#PermitTTY yes
+PrintMotd no
+#PrintLastLog yes
+#TCPKeepAlive yes
+#PermitUserEnvironment no
+#Compression delayed
+#ClientAliveInterval 0
+#ClientAliveCountMax 3
+#UseDNS no
+#PidFile /run/sshd.pid
+#MaxStartups 10:30:100
+#PermitTunnel no
+#ChrootDirectory none
+#VersionAddendum none
+
+# no default banner path
+#Banner none
+
+# Allow client to pass locale environment variables
+AcceptEnv LANG LC_*
+
+# override default of no subsystems
+Subsystem sftp /usr/lib/openssh/sftp-server
--- /dev/null
+ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAtabxRZZMjtmq+r8uXsBmfLgAtkxqwigGpx0e6Mx066ukIWIafFsguity6aV5QNI4UfxXnX3QXROcWeIiyLBV4yDGxuq7ah4r0X1CjqHUvHoGpXwJ2DIWPeaa8XyXnavmj0SNtKn0f1T+oJS0fcryUTLyxY7eOgNsr+pp1fVmgca9Efj0BKUXV/SUIjp8JX3x0/E/3PAqG81zus2SxzuOO1b0FKXDq43Gx6Ov3Ok7+Pje4G4pB56rJiiXlPxrBlY0e8Pz/7+kFF8izCiztJLtZig32Dx0HbLYGtSvIPJKYxK8DDD/RWWpL3mgNPYZ2PE3wHf4c7CTlxLCDP+NeRS1yQ== vincent+2021@cubedesigners.com
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDYAQ/tdQpfweVSyxgvF7hFtl4ax+0g8uI102LeH4NmZtzh85DmD3ccoN5UvAf3SOU6nTGLBN2i/YGRruYmm3PDDYBwyKmq3d1ZqUd8ItNfmTlVbRQme0qE6uOVfHgiejDqm9SS0kbI0lYi/BHp7sWK0UM18iE6NbsSgxw468FwBhtSiR78dw1yEhZQdtQDxusD6LbsGDsj37bV9YHFPVslzc6Bkf4fg9igm5YStCdmcYG86t0RUZDfHw6YGuIxXWkDRh1fpC6yj3Wv+n4+Zho5Bjlryg+YRhxFzno2VxgIeScIAernhUq3yy2whZU3jrWfXKfxutPmpCowl17ydcMXUr8Zt44RaYSVJI6V2lbw/B3HWW8BjkVmHlzDhulw4sJzWYoQOhiDLrUFprdF49CtYFrfsuVOx1IwETfnKKI0w5JqID+sa1iYCtgP9BdfO/H04iW3pFeaNhKW89c7GNZHhNuAS9x5wmcDpYiu2DH/ZIZIQ2wGKcyiZ0sMXQqBS4U= 33610@AYOR
--- /dev/null
+fluidbook-v3 ALL=(ALL) NOPASSWD:ALL
--- /dev/null
+#!/bin/sh
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose pull
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose build
--- /dev/null
+version: '3.1'
+services:
+ webserver:
+ container_name: fluidbook-v3-dev-httpd
+ build: './images/httpd'
+ working_dir: /application
+ volumes:
+ - './wwww/:/usr/local/apache2/htdocs/'
+ - './wwww/:/application/'
+ - './config/httpd/httpd.conf:/usr/local/apache2/conf/httpd.conf'
+ environment:
+ VIRTUAL_HOST: dev.fluidbook.com,en.dev.fluidbook.com
+ LETSENCRYPT_HOST: dev.fluidbook.com,en.dev.fluidbook.com
+ networks:
+ - fluidbook-v3-dev
+ restart: unless-stopped
+ php-fpm:
+ container_name: fluidbook-v3-dev
+ hostname: fluidbook-v3-dev
+ build: './images/php-fpm'
+ working_dir: /application
+ volumes:
+ # SSH
+ - './config/ssh/root/:/root/.ssh/'
+ - './config/ssh/user/:/application/.ssh/'
+ - './config/ssh/server/:/etc/ssh/'
+ # Rsyslog
+ - './config/rsyslog/rsyslog.conf:/etc/rsyslog.conf'
+ - './config/rsyslog/50-default.conf:/etc/rsyslog.d/50-default.conf'
+ # Composer
+ - './config/composer/:/root/.config/composer/'
+ - './config/composer/:/application/.config/composer/'
+ # Sudoers
+ - './config/sudoers:/etc/sudoers.d/fluidbook-v3-dev'
+ # ImageMagick
+ - './config/imagemagick/policy.xml:/etc/ImageMagick-6/policy.xml'
+ # Passwords
+ - './config/passwords:/root/passwords'
+ # Cron
+ - './config/cron/crontab:/etc/crontab'
+ # PHP
+ - './config/php.ini:/etc/php/7.4/fpm/conf.d/99-overrides.ini'
+ # Web path
+ - './wwww/:/application/'
+ ports:
+ - '53371:22'
+ networks:
+ - fluidbook-v3-dev
+ restart: unless-stopped
+
+ adminer:
+ image: 'adminer:latest'
+ container_name: fluidbook-v3-dev-adminer
+ restart: unless-stopped
+ environment:
+ ADMINER_DEFAULT_SERVER: fluidbook-v3-dev-mariadb
+ VIRTUAL_HOST: adminer.dev.fluidbook.com
+ LETSENCRYPT_HOST: adminer.dev.fluidbook.com
+ networks:
+ - fluidbook-v3-dev
+
+ mariadb:
+ container_name: fluidbook-v3-dev-mariadb
+ image: 'mariadb:latest'
+ restart: unless-stopped
+ environment:
+ MARIADB_ROOT_PASSWORD: ryruth0YzzuUn7Eq
+ MARIADB_DATABASE: fluidbook-v3-dev
+ MARIADB_AUTO_UPGRADE: 1
+ volumes:
+ - "./database/dump.sql:/docker-entrypoint-initdb.d/dump.sql"
+ - "./database/scripts/:/usr/local/bin/scripts/"
+ - "./database/data:/var/lib/mysql"
+ - './config/mariadb:/etc/mysql/conf.d:z'
+ networks:
+ - fluidbook-v3-dev
+ logging:
+ driver: json-file
+ options:
+ max-size: 10M
+ max-file: 10
+
+ mysqlbackup:
+ image: selim13/automysqlbackup
+ container_name: fluidbook-v3-dev-automysqlbackup
+ volumes:
+ - "./database/backup:/backup"
+ environment:
+ USERNAME: root
+ PASSWORD: ryruth0YzzuUn7Eq
+ DBHOST: fluidbook-v3-dev-mariadb
+ DBEXCLUDE: "performance_schema information_schema"
+ CRON_SCHEDULE: "0 0 * * *"
+ EXTRA_OPTS: "--single-transaction"
+ networks:
+ - fluidbook-v3-dev
+
+networks:
+ fluidbook-v3-dev:
+ external:
+ name: fluidbook-v3-dev
--- /dev/null
+#!/bin/sh
+cd /docker/fluidbook-v3-dev
+docker network create fluidbook-v3-dev
+
+chown 0:0 ./config/cron/crontab
+chown -R 999:999 ./database/data
+
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose pull
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose build
+
+docker compose down -v
+docker compose up -d
+
+ufw-docker allow fluidbook-v3-dev
\ No newline at end of file
--- /dev/null
+FROM httpd
+RUN apt-get update && apt-get install -y --no-install-recommends nano less bash libapache2-mod-xsendfile
+RUN apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* /usr/share/doc/*
--- /dev/null
+############################################
+# PHPDocker.io PHP 8.3 / CLI and FPM image #
+############################################
+
+FROM ubuntu:jammy AS cli
+
+WORKDIR "/application"
+
+# Fixes some weird terminal issues such as broken clear / CTRL+L
+ENV TERM=linux
+
+# Ensure apt doesn't ask questions when installing stuff
+ENV DEBIAN_FRONTEND=noninteractive
+
+# Add Ondrej PHP repository
+RUN apt update \
+ && apt install -y --no-install-recommends ca-certificates gnupg bash curl \
+ && echo "deb http://ppa.launchpad.net/ondrej/php/ubuntu jammy main" > /etc/apt/sources.list.d/ondrej-php.list \
+ && apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4F4EA0AAE5267A6C
+
+# Add Nodejs Repository
+RUN curl -fsSL https://deb.nodesource.com/gpgkey/nodesource-repo.gpg.key | gpg --dearmor -o /etc/apt/keyrings/nodesource.gpg
+RUN echo "deb [signed-by=/etc/apt/keyrings/nodesource.gpg] https://deb.nodesource.com/node_20.x nodistro main" | tee /etc/apt/sources.list.d/nodesource.list
+
+RUN apt update
+RUN apt update
+
+RUN apt -y --no-install-recommends install \
+ zip unzip \
+ git \
+ php8.3-apcu \
+ php8.3-cli \
+ php8.3-curl \
+ php8.3-mbstring \
+ php8.3-opcache \
+ php8.3-readline \
+ php8.3-xml \
+ php8.3-zip \
+ php8.3-bz2 \
+ php8.3-gd \
+ php8.3-igbinary \
+ php8.3-imap \
+ php8.3-imagick \
+ php8.3-intl \
+ php8.3-memcached \
+ php8.3-mysql \
+ php8.3-redis \
+ php8.3-soap \
+ php8.3-ssh2 \
+ php8.3-tidy \
+ php8.3-xsl \
+ php8.3-curl \
+ php8.3-mcrypt \
+ php8.3-fpm \
+ less nano wget nodejs
+
+RUN apt -y --no-install-recommends install nodejs sudo openssh-server rsyslog cron mariadb-client imagemagick
+
+RUN apt -y --no-install-recommends install locales
+RUN sed -i '/fr_FR.UTF-8/s/^# //g' /etc/locale.gen && \
+ locale-gen
+ENV LANG fr_FR.UTF-8
+ENV LANGUAGE fr_FR:$localshort
+ENV LC_ALL fr_FR.UTF-8
+
+COPY --from=composer:2 /usr/bin/composer /usr/bin/composer
+
+# IF you need some npm globally installed packages
+RUN npm install --unsafe-perm --global yarn
+
+CMD ["php", "-a"]
+
+STOPSIGNAL SIGQUIT
+
+RUN groupadd sudo;useradd -d /application -g 33 -G sudo -s /bin/bash -u 1001 fluidbook-v3
+
+# PHP-FPM packages need a nudge to make them docker-friendly
+COPY overrides.conf /etc/php/8.3/fpm/pool.d/z-overrides.conf
+
+COPY --chmod=755 startup /usr/bin/startup
+CMD exec /usr/bin/startup
+
+# Open up fcgi port
+EXPOSE 9000
--- /dev/null
+[global]
+; Override default pid file
+pid = /run/php-fpm.pid
+
+; Avoid logs being sent to syslog
+error_log = /proc/self/fd/2
+
+; Set this to php default's max_execution_time to allow children to stop gracefully when fpm is commanded to stop
+; This helps avoiding 502's
+process_control_timeout = 30
+
+; Do not daemonize (eg send process to the background)
+daemonize = no
+
+[www]
+; Access from webserver container is via network, not socket file
+listen = [::]:9000
+
+; Redirect logs to stdout - FPM closes /dev/std* on startup
+access.log = /proc/self/fd/1
+catch_workers_output = yes
+
+; Remove "pool www" decoration from log output (older phpdocker.io containers for php use sed for this)
+decorate_workers_output = no
+
+; Required to allow config-by-environment
+clear_env = no
+
+user = 1001
+group = 33
+
+pm = dynamic
+pm.max_children = 16
+pm.start_servers = 4
+pm.min_spare_servers = 4
+pm.max_spare_servers = 8
+pm.max_requests = 500
--- /dev/null
+#!/bin/sh
+
+# Set file rights
+umask 0000
+chmod -R 777 /tmp
+
+chown -R root:root /etc/sudoers.d
+chown -R fluidbook-v3:www-data /application
+
+# Rsyslog
+start-stop-daemon --start -b -x /usr/sbin/rsyslogd -- -n
+
+# SSH Server
+ssh-keygen -A
+chmod 755 /etc/ssh/*.d
+chmod 600 /etc/ssh/*_key
+chmod 750 /application
+#chmod 600 /application/.ssh/id_rsa
+chmod 700 /application/.ssh/
+chmod 600 /application/.ssh/authorized_keys2
+#chmod 600 /root/.ssh/id_rsa
+chmod 700 /root/.ssh/
+chmod 600 /root/.ssh/authorized_keys2
+/usr/sbin/service ssh start
+
+# Cron
+chmod 0644 /etc/crontab && crontab -u root /etc/crontab && /usr/sbin/service cron start
+
+# Set user password
+chpasswd < /root/passwords
+
+# Launch PHP
+/usr/sbin/php-fpm8.3 -O
--- /dev/null
+#!/bin/sh
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose pull
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose build
--- /dev/null
+version: '3.1'
+services:
+ fluidbook-v3-httpd:
+ container_name: fluidbook-v3-httpd
+ build: './images/httpd'
+ working_dir: /application
+ volumes:
+ - './www/:/usr/local/apache2/htdocs'
+ - './www/:/application/'
+ - './config/httpd/httpd.conf:/usr/local/apache2/conf/httpd.conf'
+ environment:
+ VIRTUAL_HOST: www.fluidbook.com,en.fluidbook.com,fluidbook.com,elearning.fluidbook.com,fr.elearning.fluidbook.com
+ LETSENCRYPT_HOST: www.fluidbook.com,en.fluidbook.com,fluidbook.com,elearning.fluidbook.com,fr.elearning.fluidbook.com
+ restart: unless-stopped
+ networks:
+ - nginxproxy
+ - fluidbook-v3
+
+ fluidbook-v3:
+ container_name: fluidbook-v3
+ hostname: fluidbook-v3
+ build: './images/php-fpm'
+ working_dir: /application
+ volumes:
+ # SSH
+ - './config/ssh/root/:/root/.ssh/'
+ - './config/ssh/user/:/application/.ssh/'
+ - './config/ssh/server/:/etc/ssh/'
+ # Rsyslog
+ - './config/rsyslog/rsyslog.conf:/etc/rsyslog.conf'
+ - './config/rsyslog/50-default.conf:/etc/rsyslog.d/50-default.conf'
+ # Composer
+ - './config/composer/:/root/.config/composer/'
+ - './config/composer/:/application/.config/composer/'
+ # Sudoers
+ - './config/sudoers:/etc/sudoers.d/fluidbook-v3'
+ # ImageMagick
+ - './config/imagemagick/policy.xml:/etc/ImageMagick-6/policy.xml'
+ # Passwords
+ - './config/passwords:/root/passwords'
+ # Cron
+ - './config/cron/crontab:/etc/crontab'
+ # PHP
+ - './config/php.ini:/etc/php/8.3/fpm/conf.d/99-overrides.ini'
+ # Web path
+ - './www:/application'
+ tmpfs:
+ - /home/tmp
+ - /application/framework/data/temp
+ ports:
+ - '38840:22'
+ restart: unless-stopped
+ networks:
+ - fluidbook-v3
+
+ adminer:
+ image: 'adminer:latest'
+ container_name: fluidbook-v3-adminer
+ restart: unless-stopped
+ environment:
+ ADMINER_DEFAULT_SERVER: fluidbook-v3-mariadb
+ VIRTUAL_HOST: adminer.fluidbook.com
+ LETSENCRYPT_HOST: adminer.fluidbook.
+ networks:
+ - fluidbook-v3
+
+ fluidbook-v3-mariadb:
+ container_name: fluidbook-v3-mariadb
+ image: 'mariadb:latest'
+ restart: unless-stopped
+ environment:
+ MARIADB_ROOT_PASSWORD: FB8qVD7R0jqsXYNR
+ MARIADB_DATABASE: fluidbook-v3
+ MARIADB_AUTO_UPGRADE: 1
+ volumes:
+ - "./database/dump.sql:/docker-entrypoint-initdb.d/dump.sql"
+ - "./database/scripts/:/usr/local/bin/scripts/"
+ - "./database/data:/var/lib/mysql"
+ - './config/mariadb:/etc/mysql/conf.d:z'
+ logging:
+ driver: json-file
+ options:
+ max-size: 10M
+ max-file: 10
+ networks:
+ - fluidbook-v3
+
+ mysqlbackup:
+ image: selim13/automysqlbackup
+ container_name: fluidbook-v3-automysqlbackup
+ volumes:
+ - "./database/backup:/backup"
+ environment:
+ USERNAME: root
+ PASSWORD: FB8qVD7R0jqsXYNR
+ DBHOST: fluidbook-v3-mariadb
+ DBEXCLUDE: "performance_schema information_schema"
+ CRON_SCHEDULE: "0 0 * * *"
+ EXTRA_OPTS: "--single-transaction"
+ networks:
+ - fluidbook-v3
+
+networks:
+ nginxproxy:
+ external:
+ name: nginxproxy
+ fluidbook-v3:
+ external:
+ name: fluidbook-v3
--- /dev/null
+#!/bin/sh
+cd /docker/fluidbook-v3
+docker network create fluidbook-v3
+
+chown 0:0 ./config/cron/crontab
+chown -R 999:999 ./database/data
+
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose pull
+COMPOSE_DOCKER_CLI_BUILD=1 DOCKER_BUILDKIT=1 docker compose build
+
+docker compose down -v
+docker compose up -d
+
+ufw-docker allow fluidbook-v3
\ No newline at end of file
<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
- <component name="dataSourceStorageLocal" created-in="IU-243.23654.189">
+ <component name="dataSourceStorageLocal" created-in="IU-243.24978.46">
<data-source name="MySQL - dev.fluidbook.com" uuid="9a7a0ad9-c6dc-4e29-b76d-f95d9cb2182a">
<database-info product="MySQL" version="5.6.27-0ubuntu0.15.04.1-log" jdbc-version="4.0" driver-name="MySQL Connector Java" driver-version="mysql-connector-java-5.1.35 ( Revision: 5fb9c5849535c13917c2cf9baaece6ef9693ef27 )" dbms="MYSQL" exact-version="5.6.27">
<extra-name-characters>#@</extra-name-characters>
<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
- <component name="PublishConfigData" autoUpload="Always" serverName="www.fluidbook.com" promptOnLocalOverwrite="false" confirmBeforeUploading="false" showAutoUploadSettingsWarning="false">
+ <component name="PublishConfigData" autoUpload="Always" serverName="www.fluidbook.com" promptOnLocalOverwrite="false" confirmBeforeUploading="false" confirmBeforeDeletion="false" showAutoUploadSettingsWarning="false">
+ <option name="confirmBeforeDeletion" value="false" />
<option name="confirmBeforeUploading" value="false" />
<serverData>
<paths name="alpha.toolbox.fluidbook.com">
<option name="autoReloadType" value="SELECTIVE" />
</component>
<component name="ChangeListManager">
- <list default="true" id="530ffb50-16c9-4bb3-ad22-e76f531eb78c" name="Default" comment=".">
+ <list default="true" id="530ffb50-16c9-4bb3-ad22-e76f531eb78c" name="Default" comment="wait #7244 @1">
+ <change afterPath="$PROJECT_DIR$/.docker/config/composer/.htaccess" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/composer/auth.json" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/cron/crontab" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/cron/host" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/httpd/httpd.conf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/imagemagick/policy.xml" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/charset.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/connections.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/finetuning.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/json.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/logs.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/mariadb/sql_mode.cnf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/passwords" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/php.ini" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/rsyslog/50-default.conf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/rsyslog/init.d" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/rsyslog/rsyslog.conf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/root/authorized_keys2" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/moduli" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_config" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_dsa_key" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_dsa_key.pub" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_ecdsa_key" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_ecdsa_key.pub" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_ed25519_key" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_ed25519_key.pub" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_rsa_key" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/ssh_host_rsa_key.pub" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/server/sshd_config" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/ssh/user/authorized_keys2" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/config/sudoers" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/dev/build" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/dev/docker-compose.yml" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/dev/update" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/images/httpd/Dockerfile" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/images/php-fpm/Dockerfile" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/images/php-fpm/overrides.conf" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/images/php-fpm/startup" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/production/build" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/production/docker-compose.yml" afterDir="false" />
+ <change afterPath="$PROJECT_DIR$/.docker/production/update" afterDir="false" />
<change beforePath="$PROJECT_DIR$/.idea/dataSources.local.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources.local.xml" afterDir="false" />
<change beforePath="$PROJECT_DIR$/.idea/deployment.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/deployment.xml" afterDir="false" />
<change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
<change beforePath="$PROJECT_DIR$/framework/application/configs/application.ini" beforeDir="false" afterPath="$PROJECT_DIR$/framework/application/configs/application.ini" afterDir="false" />
- <change beforePath="$PROJECT_DIR$/framework/application/views/scripts/common/body.phtml" beforeDir="false" afterPath="$PROJECT_DIR$/framework/application/views/scripts/common/body.phtml" afterDir="false" />
- <change beforePath="$PROJECT_DIR$/js/101-header.js" beforeDir="false" afterPath="$PROJECT_DIR$/js/101-header.js" afterDir="false" />
- <change beforePath="$PROJECT_DIR$/js/420-features-details.js" beforeDir="false" afterPath="$PROJECT_DIR$/js/420-features-details.js" afterDir="false" />
+ <change beforePath="$PROJECT_DIR$/framework/library/Zend/Registry.php" beforeDir="false" afterPath="$PROJECT_DIR$/framework/library/Zend/Registry.php" afterDir="false" />
</list>
<option name="SHOW_DIALOG" value="false" />
<option name="HIGHLIGHT_CONFLICTS" value="true" />
<option name="hideEmptyMiddlePackages" value="true" />
<option name="showLibraryContents" value="true" />
</component>
- <component name="PropertiesComponent">{
- "keyToString": {
- "RunOnceActivity.OpenProjectViewOnStart": "true",
- "RunOnceActivity.git.unshallow": "true",
- "WebServerToolWindowFactoryState": "true",
- "WebServerToolWindowPanel.toolwindow.highlight.mappings": "true",
- "WebServerToolWindowPanel.toolwindow.highlight.symlinks": "true",
- "WebServerToolWindowPanel.toolwindow.show.date": "false",
- "WebServerToolWindowPanel.toolwindow.show.permissions": "false",
- "WebServerToolWindowPanel.toolwindow.show.size": "false",
- "git-widget-placeholder": "master",
- "ignore.virus.scanning.warn.message": "true",
- "kotlin-language-version-configured": "true",
- "last_opened_file_path": "D:/Works/spinepro",
- "node.js.detected.package.eslint": "true",
- "node.js.detected.package.tslint": "true",
- "node.js.selected.package.eslint": "(autodetect)",
- "node.js.selected.package.tslint": "(autodetect)",
- "nodejs_package_manager_path": "npm",
- "project.structure.last.edited": "Project",
- "project.structure.proportion": "0.0",
- "project.structure.side.proportion": "0.2",
- "ruby.rails.projectView.checked": "true",
- "settings.editor.selected.configurable": "project.propVCSSupport.DirectoryMappings",
- "vue.rearranger.settings.migration": "true"
+ <component name="PropertiesComponent"><![CDATA[{
+ "keyToString": {
+ "RunOnceActivity.OpenProjectViewOnStart": "true",
+ "RunOnceActivity.git.unshallow": "true",
+ "WebServerToolWindowFactoryState": "true",
+ "WebServerToolWindowPanel.toolwindow.highlight.mappings": "true",
+ "WebServerToolWindowPanel.toolwindow.highlight.symlinks": "true",
+ "WebServerToolWindowPanel.toolwindow.show.date": "false",
+ "WebServerToolWindowPanel.toolwindow.show.permissions": "false",
+ "WebServerToolWindowPanel.toolwindow.show.size": "false",
+ "git-widget-placeholder": "master",
+ "ignore.virus.scanning.warn.message": "true",
+ "kotlin-language-version-configured": "true",
+ "last_opened_file_path": "D:/Works/FluidbookWebV3/framework/library/Zend",
+ "node.js.detected.package.eslint": "true",
+ "node.js.detected.package.tslint": "true",
+ "node.js.selected.package.eslint": "(autodetect)",
+ "node.js.selected.package.tslint": "(autodetect)",
+ "nodejs_package_manager_path": "npm",
+ "project.structure.last.edited": "Project",
+ "project.structure.proportion": "0.0",
+ "project.structure.side.proportion": "0.2",
+ "ruby.rails.projectView.checked": "true",
+ "settings.editor.selected.configurable": "project.propVCSSupport.DirectoryMappings",
+ "vue.rearranger.settings.migration": "true"
}
-}</component>
+}]]></component>
<component name="RecentsManager">
+ <key name="CopyFile.RECENT_KEYS">
+ <recent name="D:\Works\FluidbookWebV3\framework\library\Zend" />
+ <recent name="H:\Works\FluidbookWebV3\framework\application\views\scripts\templates" />
+ <recent name="H:\Works\FluidbookWebV3\images\exemples\publications" />
+ <recent name="H:\Works\FluidbookWebV3\framework\application\forms\CMS" />
+ </key>
<key name="MoveFile.RECENT_KEYS">
+ <recent name="D:\Works\FluidbookWebV3\.docker" />
<recent name="H:\Works\FluidbookWebV3\framework\application\Fluidbook" />
<recent name="H:\Works\FluidbookWebV3\css\fonts\icons" />
<recent name="H:\Works\FluidbookWebV3\framework\application\forms\Element" />
<recent name="H:\Works\FluidbookWebV3\images" />
- <recent name="H:\Works\FluidbookWebV3\framework\application\forms\CMS\Element\Exemple" />
- </key>
- <key name="CopyFile.RECENT_KEYS">
- <recent name="H:\Works\FluidbookWebV3\framework\application\views\scripts\templates" />
- <recent name="H:\Works\FluidbookWebV3\images\exemples\publications" />
- <recent name="H:\Works\FluidbookWebV3\framework\application\forms\CMS" />
</key>
</component>
<component name="RemoteSynchronizer">
<component name="SharedIndexes">
<attachedChunks>
<set>
- <option value="bundled-jdk-9823dce3aa75-125ca727e0f0-intellij.indexing.shared.core-IU-243.23654.189" />
- <option value="bundled-js-predefined-d6986cc7102b-822845ee3bb5-JavaScript-IU-243.23654.189" />
+ <option value="bundled-jdk-9823dce3aa75-125ca727e0f0-intellij.indexing.shared.core-IU-243.24978.46" />
+ <option value="bundled-js-predefined-d6986cc7102b-76f8388c3a79-JavaScript-IU-243.24978.46" />
</set>
</attachedChunks>
</component>
<workItem from="1728998495644" duration="180000" />
<workItem from="1728998686616" duration="8507000" />
<workItem from="1731579305063" duration="12263000" />
- <workItem from="1739209041347" duration="1093000" />
+ <workItem from="1739209041347" duration="1137000" />
+ <workItem from="1739539005844" duration="1549000" />
</task>
<task id="LOCAL-00117" summary="fix #1407 @1">
<created>1494411210038</created>
<option name="project" value="LOCAL" />
<updated>1682409989659</updated>
</task>
- <option name="localTasksCounter" value="172" />
+ <option name="localTasksCounter" value="173" />
<servers>
<Redmine shared="true" url="https://team.cubedesigners.com/redmine">
<option name="APIKey" value="ee454486fcd47aa38e5c99d5a7dc44cff1f65597" />
<component name="VcsManagerConfiguration">
<option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
<option name="CHECK_NEW_TODO" value="false" />
- <MESSAGE value="fix #3633" />
<MESSAGE value="fix #3663" />
<MESSAGE value="wait #3669 @0.5" />
<MESSAGE value="wait #3693 @2" />
<MESSAGE value="wait #6766 @0.25" />
<MESSAGE value="wait #7079 @0.75" />
<MESSAGE value="." />
- <option name="LAST_COMMIT_MESSAGE" value="." />
+ <MESSAGE value="wait #7244 @1" />
+ <option name="LAST_COMMIT_MESSAGE" value="wait #7244 @1" />
<option name="NON_MODAL_COMMIT_POSTPONE_SLOW_CHECKS" value="false" />
</component>
<component name="XDebuggerManager">
[production]
dev = false
-firephp = true
+firephp = false
minify.js = true
minify.css = true
timezone = 'Europe/Paris'
session.lifetime = 31536000 ;1 year
-session.adapter = cache
+session.adapter = files
database.adapter = pdo_mysql
database.params.host = fluidbook-v3-mariadb
* Returns TRUE if the $index is a named value in the registry,
* or FALSE if $index was not found in the registry.
*
- * @param string $index
+ * @param string $index
* @return boolean
*/
public static function isRegistered($index)
*
* Workaround for http://bugs.php.net/bug.php?id=40442 (ZF-960).
*/
- public function offsetExists($index)
+ public function offsetExists($index): bool
{
- return @array_key_exists($index, $this);
+ return @array_key_exists($index, $this->getArrayCopy());
}
}